Package org.silverpeas.components.classifieds.model

# Class Subscribe

java.lang.Object
org.silverpeas.components.classifieds.model.Subscribe

All Implemented Interfaces:
  `Serializable`

public class Subscribe extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Subscribe()`
  `Subscribe(String field1, String field2)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getField1()`
  `String`
  `getField2()`
  `String`
  `getFieldName1()`
  `String`
  `getFieldName2()`
  `String`
  `getInstanceId()`
  `String`
  `getSubscribeId()`
  `String`
  `getUserId()`
  `void`
  `setField1(String field1)`
  `void`
  `setField2(String field2)`
  `void`
  `setFieldName1(String fieldName1)`
  `void`
  `setFieldName2(String fieldName2)`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setSubscribeId(String subscribeId)`
  `void`
  `setUserId(String userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Subscribe

    public Subscribe()

  - ### Subscribe

    public Subscribe(String field1, String field2)

- ## Method Details

  - ### getSubscribeId

    public String getSubscribeId()

  - ### setSubscribeId

    public void setSubscribeId(String subscribeId)

  - ### getUserId

    public String getUserId()

  - ### setUserId

    public void setUserId(String userId)

  - ### getField1

    public String getField1()

  - ### setField1

    public void setField1(String field1)

  - ### getField2

    public String getField2()

  - ### setField2

    public void setField2(String field2)

  - ### getInstanceId

    public String getInstanceId()

  - ### setInstanceId

    public void setInstanceId(String instanceId)

  - ### getFieldName1

    public String getFieldName1()

  - ### setFieldName1

    public void setFieldName1(String fieldName1)

  - ### getFieldName2

    public String getFieldName2()

  - ### setFieldName2

    public void setFieldName2(String fieldName2)